## akode 2.0.2

=== debian/changelog ===
akode (2.0.2-7ubuntu16.10.0+1) yakkety; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

akode (2.0.2-7ubuntu16.10.0+0~a) yakkety; urgency=low

  [ François Andriot ]
  * Add multilib support [taken from Fedora patches]
  * Add pulseaudio support [taken from Fedora patches]
  * Fix OGG detection on openSUSE

  [ Slávek Banko ]
  * Rename completely from polyp to pulse
  * Enable build with PulseAudio support
  * Add package libakode2-pulse

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Oct 2015 04:58:28 +0200

akode (2.0.2-6ubuntu15.10.0+4~a) wily; urgency=low

  * Fix installation of akode-config

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 17 Jun 2015 20:19:18 +0200

akode (2.0.2-6ubuntu15.10.0+3~a) wily; urgency=low

  * Fix FTBFS with clang

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Jun 2015 18:42:32 +0200

akode (2.0.2-6ubuntu15.10.0+2~a) wily; urgency=low

  * Conversion to CMake

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 May 2015 16:36:56 +0200

akode (2.0.2-5debian6.0.0+0) squeeze; urgency=low

  * Switch to quilt format
  * Changes pulled out into a patch

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Aug 2013 19:20:21 +0200

akode (2.0.2-4debian2) wheezy; urgency=low

  * Wheezy rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

akode (2.0.2-3ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - Don't build-dep on jack
   - Split out mpeg files into akode-mpeg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Jun 2008 12:19:44 +0000

akode (2.0.2-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Implement use of uploaders.mk

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove useless directory autom4te.cache from 98_buildprep.diff, fixes FTBFS
    if build twice in a row. (Closes: #442485)
  * Move homepage into control field.
  * Update to Standards-Version 3.7.3: replace ${Source-Version} with
    ${binary:Version}.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Dec 2007 23:05:43 +0100

akode (2.0.2-2ubuntu2) hardy; urgency=low

  * Rebuild with recent g++ compiler version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Apr 2008 11:24:10 +0000

akode (2.0.2-2ubuntu1) gutsy; urgency=low

  * Merge with Debian for patches 11_gcc_4.3_fix.diff and
    12_amd64_libflac8_fix.diff, fixes build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Jun 2007 14:46:35 +0100

akode (2.0.2-2) unstable; urgency=low

  +++ Changes by Nacho Barrientos Arias

  * Adapting akode to the new version of libflac (closes: #426671).
  * Dropped liboggflac-dev from Build-Depends (it no longer exists - merged
    into libflac-dev).
  * Add patch 12_amd64_libflac8_fix.diff in order to avoid a FTBFS on amd64. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 05 Jun 2007 21:24:45 +0200

akode (2.0.2-1) unstable; urgency=low

  +++ Changes by Kaare Olsen and Sune Vuorela:

  * New upstream release.
  * Removed patch 02_autotools_update. Applied upstream.
  * Removed patch 07_autoconf_2.6. Applied upstream.
  * Removed patch 11_flac_113_support and 12_oggflac_decoding.diff. Reworked and applied upstream.
  * Add patch 11_gcc_4.3_fix.diff to fix akode compilation with gcc4.3
    (Closes: 417089)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2007 00:08:26 +0200

akode (2.0.2-0ubuntu2) gutsy; urgency=low

  * Changed liboggflac-dev --> libflac-dev, as liboggflac and libflac have
    been merged.  See Debian #427742

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 18 Jun 2007 10:32:56 -0500

akode (2.0.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Merge with Debian
  * Remove patched merged upstream
    - 02_autotools_update.diff
    - 07_autoconf_2.6.diff
    - 11_flac_113_support.diff
    - 12_oggflac_decoding.diff
  	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 13:45:04 +0100

akode (2.0.1-3) unstable; urgency=low

  * UNRELEASED

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 Jan 2007 09:24:10 +0100

akode (2.0.1-2ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:13:00 +0000

akode (2.0.1-2ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 24 Nov 2006 15:04:52 +0000

akode (2.0.1-2) unstable; urgency=low

  * Add two patches (thanks to Josh Coalson):
    - flac 1.1.3 support. libOggFLAC was merged into libFLAC.
    - prevent a possible problem with Ogg FLAC decoding at end of stream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 21 Nov 2006 07:38:23 +0100

akode (2.0.1-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Build with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 01:06:59 +0000

akode (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 18 Aug 2006 19:04:28 -0400

akode (2.0-5) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Apply GNU/kFreeBSD build patch from Petr Salinger. (Closes: #380099)

  * Add a patch allowing akode to build with autoconf 2.6.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 10:30:27 -0400

akode (2.0-4ubuntu3) edgy; urgency=low

  * Don't depend on libakode2-mpeg from libakode-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 15:03:45 +0000

akode (2.0-4ubuntu2) edgy; urgency=low

  * Remove libjack from depends of akode-dev
  * Move libakode_mpeg_decoder.la to libakode-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 Jul 2006 16:04:41 +0100

akode (2.0-4ubuntu1) edgy; urgency=low

  * Merge with Debian


