=== debian/control ===
Source: akode
Section: sound
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, gawk, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
Standards-Version: 3.7.3

Package: libakode2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: akode plugin for aRts
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode2-mpeg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: mpeg plugins for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package provides MP3 and other MPEG formats for akode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode2-pulse
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: akode
Replaces: akode
Enhances: libarts1c2, libarts1c2a-trinity
Description: pulseaudio sink for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package provides PulseAudio sink for akode.
 .
 Homepage: http://www.carewolf.com/akode

Package: libakode-dev
Section: libdevel
Architecture: any
Depends: libakode2 (= ${binary:Version}), pkg-config, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, ${alsa-dev}, libsamplerate0-dev, libspeex-dev
Replaces: kdemultimedia-dev (<< 4:3.5-rc1), libakode2 (<< 2.0-4)
Description: development files for akode
 aKode is a new multithreaded audio library that provides aRts with
 plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
 FLAC and Speex. aKode also focuses on performance, and so it means a
 big enhancement for users runing aRts in non-realtime mode.
 .
 This package contains the development files for libakode.
 .
 Homepage: http://www.carewolf.com/akode

Package: akode-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libakode2 (= ${binary:Version})
Description: debugging symbols for akode
 This package contains the debugging symbols associated with akode.
 They will automatically be used by gdb for debugging akode-related
 issues.
