## akode 3.5.13.3~pre67

=== debian/changelog ===
akode (4:3.5.13.3~pre67-0ubuntu12.04.0+4) precise; urgency=low

  * Automated git build for fdd8c4f92fd3297fabb5ca07f879d1b2d152aba1

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 10:03:14 +0200

akode (2.0.2-6debian6.0.0+1) squeeze; urgency=low

  * Conversion to CMake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Feb 2015 04:54:24 +0100
