=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-qt-kde.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq (linux,$(DEB_HOST_ARCH_OS))
@@ -17,9 +16,6 @@
 PACKAGES_WITH_LIBS := libakode2
 
 DEB_DH_MAKESHLIBS_ARGS_libakode2 := -V'libakode2 (>= 2-rc1-1)'
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 # Build options
 DEB_CMAKE_EXTRA_FLAGS := \
