=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, gawk, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
 Standards-Version: 3.7.3
 
 Package: libakode2
