=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: akode
 Section: sound
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Isaac Clerencia <isaac@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Adeodato Simó <dato@net.com.org.es>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, libflac-dev (>= 1.1.1-3), libflac-dev, libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, libflac-dev (>= 1.1.1-3), libmad0-dev, libogg-dev, libvorbis-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsamplerate0-dev, libspeex-dev, libpulse-dev, libjack-dev, libavformat-dev
 Standards-Version: 3.7.3
 
 Package: libakode2
@@ -19,8 +19,21 @@
  plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
  FLAC and Speex. aKode also focuses on performance, and so it means a
  big enhancement for users runing aRts in non-realtime mode.
+
+Package: libakode2-ffmpeg
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Conflicts: akode
+Replaces: akode
+Enhances: libarts1c2, libarts1c2a-trinity
+Description: ffmpeg plugins for akode
+ aKode is a new multithreaded audio library that provides aRts with
+ plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
+ FLAC and Speex. aKode also focuses on performance, and so it means a
+ big enhancement for users runing aRts in non-realtime mode.
  .
- Homepage: http://www.carewolf.com/akode
+ This package provides for akode formats supported by FFMPEG.
 
 Package: libakode2-mpeg
 Section: libs
@@ -36,8 +49,6 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package provides MP3 and other MPEG formats for akode.
- .
- Homepage: http://www.carewolf.com/akode
 
 Package: libakode2-pulse
 Section: libs
@@ -53,8 +64,21 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package provides PulseAudio sink for akode.
+
+Package: libakode2-jack
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Conflicts: akode
+Replaces: akode
+Enhances: libarts1c2, libarts1c2a-trinity
+Description: jack sink for akode
+ aKode is a new multithreaded audio library that provides aRts with
+ plugins to play a variety of formats: Ogg Vorbis, Musepack (MPC),
+ FLAC and Speex. aKode also focuses on performance, and so it means a
+ big enhancement for users runing aRts in non-realtime mode.
  .
- Homepage: http://www.carewolf.com/akode
+ This package provides JACK sink for akode.
 
 Package: libakode-dev
 Section: libdevel
@@ -68,8 +92,6 @@
  big enhancement for users runing aRts in non-realtime mode.
  .
  This package contains the development files for libakode.
- .
- Homepage: http://www.carewolf.com/akode
 
 Package: akode-dbg
 Section: libdevel
