=== debian/changelog ===
akode (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 May 2023 10:27:44 +0200
