## akode 14.1.3

=== debian/changelog ===
akode (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Aug 2024 14:29:07 +0200
