=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,12 @@
 #! /usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 DEB_DH_GENCONTROL_ARGS=-- -Valsa-dev=libasound2-dev
 endif
-
-DEB_CONFIGURE_EXTRA_FLAGS := --without-libltdl --with-extra-includes=/usr/include/speex/
 
 DEB_DH_STRIP_ARGS  := --dbg-package=akode-dbg
 
@@ -19,14 +16,13 @@
 
 # Build options
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DCMAKE_SKIP_RPATH="OFF" \
  -DCMAKE_VERBOSE_MAKEFILE="ON" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DWITH_ALL_OPTIONS="ON" \
  -DWITH_LIBLTDL="OFF" \
- -DWITH_JACK_SINK="OFF" \
- -DWITH_PULSE_SINK="ON" \
- -DWITH_FFMPEG_DECODER="OFF"
+ -DWITH_FFMPEG_DECODER="ON"
 
 common-install-prehook-arch::
 	grep -v libakode_alsa_sink debian/libakode2.install > debian/libakode2.install.kfreebsd-i386
