## akode 14.1.6~pre2

=== debian/changelog ===
akode (4:14.1.6~pre2-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for f6708c476be24812a425cb6c1d01372b2e246d21
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 23 Feb 2026 14:54:33 +0100

akode (4:14.1.6~pre1-0) trixie; urgency=low

  * Move akodeplay binary to a separate package.
  * Install libraries according to multi-arch rules.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Feb 2026 15:55:51 +0100
