=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
DEB_DH_GENCONTROL_ARGS=-- -Valsa-dev=libasound2-dev
endif

DEB_DH_STRIP_ARGS  := --dbg-package=akode-dbg

PACKAGES_WITH_LIBS := libakode2

DEB_DH_MAKESHLIBS_ARGS_libakode2 := -V'libakode2 (>= 2-rc1-1)'

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_LIBLTDL="OFF" \
 -DWITH_FFMPEG_DECODER="ON"
