=== debian/changelog ===
akode (4:14.2.0~pre12-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 90de1ea9b927f2a58dcc9e80305e8ab11fd8eaa9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
