## akode 14.2.0~pre14

=== debian/changelog ===
akode (4:14.2.0~pre14-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 3a8c0835aad5f502cc25c02500d91a7ebf9cee97
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#akode

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Feb 2026 16:05:21 +0100
